<style>

  footer {
    display: none;
  }

</style>
<div id="sidebar" data-page="{{ page }}" data-section="{{ section }}">
  <div
    class="bg-dark sidebar-container d-flex flex-column flex-shrink-0 p-3 text-bg-dark"
  >
    <dev
      class="d-flex align-items-center mb-3 me-md-auto text-white text-decoration-none justify-content-evenly"
    >
      <i class="fa-solid fa-user me-3"></i>
      <span class="fs-4"
        >{{ request.user.get_first_name }} {{ request.user.get_last_name }}</span
      >
      <div id="" class="">
        <button
          id="closeSideBarBtn"
          onclick="closeSideBar()"
          class="normal-btn d-none"
        >
          <i class="fa-solid fa-times sideBarIcon close-sidebar"></i>
        </button>
      </div>
    </dev>
    <div id="opensidebar" class="d-none">
      <button onclick="openSideBar()" class="normal-btn">
        <!-- <i class="fa-solid fa-arrow-right"></i> -->
        <i class="fa-solid fa-arrow-right sideBarIcon"></i>
      </button>
    </div>
    <hr />
    <ul class="nav nav-pills flex-column mb-auto">
      <li>
        <button
          id="sidebarAccountBtnColl"
          class="nav-link text-white collapsed ms-2 fs-3 active"
          data-bs-toggle="collapse"
          data-bs-target="#account-collapse"
          aria-expanded="false"
        >
          <i class="fa-solid fa-user me-3"></i>
          Compte
          <i class="ms-2 fa-solid fa-caret-down"></i>
        </button>
        <div class="collapse" id="account-collapse">
          <ul class="list-unstyled fw-normal pb-1 small">
            <li>
              <a
                href="{% url 'user_profile' %}"
                id="sidebar-myAccount"
                class="ms-3 nav-link fs-6 text-white"
              >
                Mon compte
              </a>
            </li>
            <li>
              <a
                href="{% url 'edit_profile' %}"
                id="sidebar-editAccount"
                class="ms-3 nav-link fs-6 text-white"
              >
                Modifier mon compte
              </a>
            </li>
            <li>
              <a
                href="{% url 'edit_address' %}"
                id="sidebar-editAddress"
                class="ms-3 nav-link fs-6 text-white"
              >
                Modifier mon adresse
              </a>
            </li>
            <!-- <li>
              <a
                href="{% url 'edit_password' %}"
                id="sidebar-editPassword"
                class="ms-3 nav-link fs-6 text-white"
              >
                Modifier mon mot de passe
              </a>
            </li> -->
          </ul>
        </div>
      </li>
      <li>
        <button
          id="sidebarListBtnColl"
          class="nav-link text-white collapsed ms-2 fs-3"
          data-bs-toggle="collapse"
          data-bs-target="#list-collapse"
          aria-expanded="false"
        >
          <i class="fa-solid fa-list me-3"></i>
          Mes listes
          <i class="ms-2 fa-solid fa-caret-down"></i>
        </button>
        <div class="collapse" id="list-collapse">
          <ul class="list-unstyled fw-normal pb-1 small">
            <li>
              <a
                id="sidebar-basket"
                href="{% url 'mybasket' %}"
                class="ms-3 nav-link fs-6 text-white"
              >
                Mon Panier
              </a>
            </li>
            <li>
              <a
                id="sidebar-favorites"
                href="{% url 'myfavorites' %}"
                class="ms-3 nav-link fs-6 text-white"
              >
                Mes Favoris
              </a>
            </li>
            <li>
              <a
                id="sidebar-repairs"
                href="{% url 'myrepairs' %}"
                class="ms-3 nav-link fs-6 text-white"
              >
                Mes demandes de réparation
              </a>
            </li>
            <li>
              <a
                id="sidebar-orders"
                href="{% url 'myorders' %}"
                class="ms-3 nav-link fs-6 text-white"
              >
                Mes commandes
              </a>
            </li>
            <li>
              <a
                id="sidebar-rented"
                href="{% url 'myrented' %}"
                class="ms-3 nav-link fs-6 text-white"
              >
                Drone loué
              </a>
            </li>
          </ul>
        </div>
      </li>
    </ul>
    <hr />
    <li>
      <div class="d-flex justify-content-start align-items-center gap-3">
        <div class="s-faux-img text-center">
          {{request.user.last_name|slice:":1"}}
          {{request.user.first_name|slice:":1"}}
        </div>
        <a
          class="text-center text-white text-decoration-none"
          href="{% url 'logout_user' %}"
          >Se déconnecter</a
        >
      </div>
    </li>
    <!-- <div class="dropdown">
      <a
        href="#"
        class="d-flex align-items-center text-white text-decoration-none dropdown-toggle"
        data-bs-toggle="dropdown"
        aria-expanded="false"
      >

        <strong
          >{{ request.user.first_name }} {{ request.user.last_name }}</strong
        >
      </a>
      <ul class="dropdown-menu dropdown-menu-dark text-small shadow">

      </ul>
    </div> -->
  </div>
</div>

<script>
  window.addEventListener("load", function () {
    setSideBarPos();
  });
</script>
